#!/bin/sh

echo "Z8-Tall-Light" | cat - chars.txt > ichars.txt;
hb-view tall-light.bdf --text-file=ichars.txt --font-size=8 --background=00000000 --foreground=FFFFFFFF --margin=8,0,0,0 --line-space=9 --output-format=png --output-file=1.png

echo "Z8-Short-Light" | cat - chars.txt > ichars.txt;
hb-view short-light.bdf --text-file=ichars.txt --font-size=8 --background=00000000 --foreground=FFFFFFFF --margin=8,0,0,0 --line-space=9 --output-format=png --output-file=2.png

echo "Z8-Tall-Medium" | cat - chars.txt > ichars.txt;
hb-view tall-medium.bdf --text-file=ichars.txt --font-size=8 --background=00000000 --foreground=FFFFFFFF --margin=8,0,0,0 --line-space=9 --output-format=png --output-file=3.png

echo "Z8-Short-Medium" | cat - chars.txt > ichars.txt;
hb-view short-medium.bdf --text-file=ichars.txt --font-size=8 --background=00000000 --foreground=FFFFFFFF --margin=8,0,0,0 --line-space=9 --output-format=png --output-file=4.png

echo "Z8-Tall-Heavy" | cat - chars.txt > ichars.txt;
hb-view tall-heavy.bdf --text-file=ichars.txt --font-size=8 --background=00000000 --foreground=FFFFFFFF --margin=8,0,0,0 --line-space=9 --output-format=png --output-file=5.png

echo "Z8-Short-Heavy" | cat - chars.txt > ichars.txt;
hb-view short-heavy.bdf --text-file=ichars.txt --font-size=8 --background=00000000 --foreground=FFFFFFFF --margin=8,0,0,0 --line-space=9 --output-format=png --output-file=6.png

montage -border 25 -bordercolor '#000000' -background '#000000' -geometry +0+0 -tile 2x3 -filter Box -resize 300% 1.png 2.png 3.png 4.png 5.png 6.png all-weights.png

rm -f 1.png 2.png 3.png 4.png 5.png 6.png ichars.txt
